Organization
List Organizations
List multiple Organizations
An Organization is the top-level object that models a Chkk customer.
Organizations are uniquely identified by a UUID, prefixed with the string org_, for example org_c42014e7-baf5-4ec6-a502-858f98dca7c8
GET
/
organizations
List Organizations
curl --request GET \
--url https://api.example.com/organizationsimport requests
url = "https://api.example.com/organizations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"created_by": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"id": "org_260fc3e8-1acb-4268-8a63-447792b0c2f4",
"last_modified_by": "<string>",
"last_modified_on": "2023-11-07T05:31:56Z",
"title": "Customer Name",
"$schema": "https://example.com/schemas/Organization.json",
"description": "<string>"
}
],
"$schema": "https://example.com/schemas/ListOrganizationsOutputBody.json",
"pagination": {
"continue": "<string>"
}
}{
"$schema": "https://example.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Query Parameters
Continuation token value (used when retrieving the next page of results).
Number of records to show per page of results.
Required range:
0 <= x <= 100Record filter.
Was this page helpful?
⌘I
List Organizations
